org.opencv.core

## Class Range

- java.lang.Object
- - org.opencv.core.Range

-     public class Range
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `end`
    `int` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Range()`
    `Range(double[] vals)`
    `Range(int s, int e)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Range` | `all()`
    `Range` | `clone()`
    `boolean` | `empty()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `Range` | `intersection(Range r1)`
    `void` | `set(double[] vals)`
    `Range` | `shift(int delta)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          public int start

    - #### end

          public int end

  - ### Constructor Detail

    - #### Range

          public Range(int s,
                       int e)

    - #### Range

          public Range()

    - #### Range

          public Range(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### size

          public int size()

    - #### empty

          public boolean empty()

    - #### all

          public static Range all()

    - #### intersection

          public Range intersection(Range r1)

    - #### shift

          public Range shift(int delta)

    - #### clone

          public Range clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`